Bug 191097 - kdemultimedia: RFE: package arts plugins separately
kdemultimedia: RFE: package arts plugins separately
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdemultimedia (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-08 16:56 EDT by David Anderson
Modified: 2009-01-09 01:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:57:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Anderson 2006-05-08 16:56:05 EDT
Some parts of kdemultimedia-extras are really extra components for arts.

Arts has been designed to be desktop independent. It's a shame if you can only 
extend it with the files below if you also pull in the KDE stack.

/usr/lib/libarts_akode.la
/usr/lib/libarts_akode.so
/usr/lib/mcop/akodeMPCPlayObject.mcopclass
/usr/lib/mcop/akodePlayObject.mcopclass
/usr/lib/mcop/akodeSpeexStreamPlayObject.mcopclass
/usr/lib/mcop/akodeVorbisStreamPlayObject.mcopclass
/usr/lib/mcop/akodeXiphPlayObject.mcopclass
/usr/lib/mcop/akodearts.mcopclass
/usr/lib/mcop/akodearts.mcoptype
Comment 1 Rex Dieter 2006-05-08 16:58:52 EDT
AFAIK, those bits have integral dependancies on kdemm bits too, so trying to
install them without the rest of kdemultimedia doesn't make sense.
Comment 2 David Anderson 2006-05-09 00:13:33 EDT
How would I find out about such dependencies? Using "ldd" on the .so and 
reading the .la doesn't show anything. I can only find dependencies on akode 
and Qt and arts.
Comment 3 Rex Dieter 2006-05-09 08:19:21 EDT
After looking closer (mostly with ldd as you suggested), it appears these bits
in-fact have only arts-provided dependancies.  OK, we may have a shot at
something like arts-extras afterall.
Comment 4 Rex Dieter 2007-01-26 08:06:38 EST
Just a followup, this will likely be addressed for Fedora 7.  If/when we get
that working, we can consider doing likewise for FC5/FC6.
Comment 5 Rex Dieter 2007-06-19 15:27:22 EDT
Ran out of time w/F7, maybe F8 with compat-kdemultimedia3
Comment 6 Rex Dieter 2007-10-08 08:19:10 EDT
Retargetting F9.
Comment 7 Rex Dieter 2008-04-08 10:10:41 EDT
Retargetting F8, F9 will be deprecating arts support (in favor of xine-lib,
gstreamer, phonon, pulseaudio, and other more well-supported technologies).
Comment 8 Bug Zapper 2008-11-26 01:57:48 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-01-09 01:57:03 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.